routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'HomepageController@home');
Route::get('/home', 'HomepageController@home');
Route::get('/teaser_detail/{id}', 'DetailController@detail');
Route::get('/teaser_list', 'HomepageController@list');
Route::post('/teaser_list/searching', 'HomepageController@searching');
Route::get('/teaser_list/{id}', 'HomepageController@search');
Route::get('/user_dashboard', 'HomepageController@userDashboard');
Route::get('/investation_list', 'InvestController@list');
Route::delete('/investation_delete/{id}', 'InvestController@destroy');
Route::get('/set_cookies_page', 'HomepageController@cookie');
Route::get('/investor_page', 'HomepageController@core_investor');
Route::get('/fundraising_page', 'HomepageController@core_fundraising');
Route::get('/information_page', 'HomepageController@core_information');
Route::get('/our_team_page', 'HomepageController@core_our_team');
Route::get('/help_page', 'HomepageController@docs_investor_and_cooperative');
Route::get('/tos_page', 'HomepageController@core_tos');
Route::get('/risk_warning_page', 'HomepageController@core_risk_warning');
Route::get('/contact_us_page', 'HomepageController@core_contact_us');
Route::post('/contact_us_page', 'HomepageController@contact_us');
Route::get('/faq_page', 'HomepageController@core_faq');
Route::get('/about_us_page', 'HomepageController@core_about_us');
Route::get('/career', 'HomepageController@career');


//harus login
Route::group(['middleware' => ['auth']], function () {
    Route::get('dashboard_it_officer', 'ItOfficer\DashboardController@index');
    Route::get('dashboard_investation_list', 'ItOfficer\InvestationController@list');
    Route::patch('investation/{id}', 'ItOfficer\InvestationController@update');
    Route::get('dashboard_cooperative_list', 'ItOfficer\CooperativeController@list');
    Route::get('dashboard_user_list', 'ItOfficer\UserController@list');

    Route::get('dashboard_relationship_manager', 'RelationshipManager\DashboardController@index');
    Route::get('dashboard_report_list', 'RelationshipManager\ReportController@list');
    Route::get('dashboard_report_list/edit/edit', 'RelationshipManager\ReportController@list');



    Route::resource('proposal', 'ProposalController');
    Route::resource('report', 'ReportController');
    Route::resource('category', 'CategoryController');
    Route::get('dashboard_payment_list', 'PaymentController@list');
    Route::get('dashboard_bill_list', 'BillController@index');
    Route::get('history', 'PaymentController@listPaymentUser');
    Route::resource('message', 'MessageController');
    Route::get('report/{id}/create', 'ReportController@create');
    Route::resource('cooperative', 'CooperativeController');
    Route::resource('invest', 'InvestController');
    Route::resource('dashboard_proposal', 'ProposalAdminController');
    Route::get('Proposal/{Status}', 'ProposalAdminController@status');
    // Route::get('report/{id}', 'ProposalController@report');
    Route::get('profile', 'UserController@edit');
    Route::get('paykita/{id}', 'PaykitaController@invest');
    
    Route::post('profile/update', 'UserController@update');
    Route::post('profile', 'UserController@post');
});

Auth::routes();

// Route::get('/home', 'HomeController@index')->name('home');

resources/views/app_management/it_officer_bill_list.blade.php
@extends("base_dashboard")

@section('breadcrumb')
  <ul class="uk-breadcrumb uk-breadcrumb-dashboard">
    <li><a class="spf-link" href="/">Beranda</a></li>        
    <li><a class="spf-link" href="{{ url('dashboard_it_officer') }}">Dashboard</a></li>
    <li><span>Pembayaran</span></li>
  </ul>
@endsection

@section('content')
  <ul class="uk-tab">
    <!-- <li class="uk-active">
      <a href="?filter=all" class="spf-link">
        <span uk-icon="icon:list;ratio:.7"></span> Semua
      </a>
    </li> -->
    <!-- <li class="uk-active">
      <a href="?filter=refund" class="spf-link">
        <span uk-icon="icon:refresh;ratio:.7"></span> Perlu Dikembalikan
      </a>
    </li> -->

<!--     
      <div class="uk-position-right uk-visible@s">
        <button class="uk-button uk-button-warning" uk-toggle="target: #modal-import-refund-bill">
          <span uk-icon="upload"></span> Import
        </button>
        <button class="uk-button uk-button-primary" uk-toggle="target: #modal-export-refund-bill">
          <span uk-icon="download"></span> Export
        </button>
      </div>
      <div class="uk-margin uk-hidden@s">
        <button class="uk-button uk-button-warning" uk-toggle="target: #modal-import-refund-bill">
          <span uk-icon="upload"></span> Import
        </button>
        <button class="uk-button uk-button-primary" uk-toggle="target: #modal-export-refund-bill">
          <span uk-icon="download"></span> Export
        </button>
      </div> -->

      <!-- <div id="modal-import-refund-bill" uk-modal>
        <div class="uk-modal-dialog uk-modal-body">
          <form class="uk-form" method="post" action="." enctype="multipart/form-data">
          @csrf
            <button class="uk-modal-close-default" type="button" uk-close></button>
            <h3 class="uk-margin-remove">Import Pengembalian Dana</h3>
            <ul class="uk-list uk-alert uk-alert-warning">
              <li><span uk-icon="check"></span> Pastikan pihak PlazaDana sudah mengembalikan sisa dana ini ke rekening investor.</li>
              <li><span uk-icon="check"></span> Mohon gunakan format (.csv) table persis seperti contoh berikut:</li>
            </ul>
            <div class="uk-overflow-auto">
              <table class="uk-table uk-table-striped">
                <tbody>
                  <tr>
                    <td>id</td>
                    <td>user</td>
                    <td>refund</td>
                    <td>virtual_account_number</td>
                    <td>status</td>
                  </tr>
                  <tr>
                    <td>7</td>
                    <td>mamunzuberi</td>
                    <td>0</td>
                    <td>0101000002</td>
                    <td>top_up</td>
                  </tr>
                  <tr>
                    <td>14</td>
                    <td>unggal_bagus</td>
                    <td>15000</td>
                    <td>0101000001</td>
                    <td>investation</td>
                  </tr>
                </tbody>
              </table>
            </div>
            <ul class="uk-list uk-list-bullet">
              <li><code>id</code> merupakan id dari pembayaran</li>
              <li><code>user</code> merupakan username dari pembayar</li>
              <li><code>refund</code> merupakan <b>sisa dana setelah dikembalikan</b></li>
              <li><code>virtual_account_number</code> merupakan nomor V.A pasif milik investor</li>
              <li><code>status</code> merupakan status pembayaran, 'investation' atau 'top_up'</li>
            </ul>
            <div class="uk-margin uk-text-right">
              <div uk-form-custom="target: true">
                <i class="uk-icon uk-icon-upload" uk-icon="icon: upload"></i>
                <input type="file" accept=".csv" name="file_csv" required>
                <input class="uk-input uk-form-width-medium" type="text" placeholder="{% trans 'Pilih file .csv' %}">
              </div>
            </div>
            <div class="uk-text-right">
              <div class="uk-button uk-button-default uk-modal-close">
                <span uk-icon="close"></span> Batal
              </div>
              <button type="submit" name="import-mode" class="uk-button uk-button-primary">
                <span uk-icon="check"></span> Import
              </button>
            </div>
          </form>
        </div>
      </div> -->

      <!-- <div id="modal-export-refund-bill" uk-modal>
        <div class="uk-modal-dialog uk-modal-body">
          <form class="uk-form" method="post" action=".">
            @csrf
            <button class="uk-modal-close-default" type="button" uk-close></button>
            <h3 class="uk-margin-remove">Export Pengembalian Dana</h3>
            <div class="uk-alert uk-alert-warning">
              <span uk-icon="info"></span> Konten table (.csv) yang akan di export persis seperti contoh berikut:
            </div>
            <div class="uk-overflow-auto">
              <table class="uk-table uk-table-striped">
                <tbody>
                  <tr>
                    <td>id</td>
                    <td>user</td>
                    <td>refund</td>
                    <td>virtual_account_number</td>
                    <td>status</td>
                  </tr>
                  <tr>
                    <td>7</td>
                    <td>mamunzuberi</td>
                    <td>3000</td>
                    <td>0101000002</td>
                    <td>top_up</td>
                  </tr>
                  <tr>
                    <td>14</td>
                    <td>unggal_bagus</td>
                    <td>15000</td>
                    <td>0101000001</td>
                    <td>investation</td>
                  </tr>
                </tbody>
              </table>
            </div>
            <ul class="uk-list uk-list-bullet">
              <li><code>id</code> merupakan id dari pembayaran</li>
              <li><code>user</code> merupakan username dari pembayar</li>
              <li><code>refund</code> merupakan <b>sisa dana yang harus dikembalikan</b></li>
              <li><code>virtual_account_number</code> merupakan nomor V.A pasif milik investor</li>
              <li><code>status</code> merupakan status pembayaran, 'investation' atau 'top_up'</li>
            </ul>
            <div class="uk-text-right">
              <div class="uk-button uk-button-default uk-modal-close">
                <span uk-icon="close"></span> Batal
              </div>
              <button type="submit" name="export-mode" class="uk-button uk-button-primary">
                <span uk-icon="check"></span> Export
              </button>
            </div>
          </form>
        </div>
      </div> -->
  </ul>

  <div class="uk-margin uk-overflow-auto-disabled">
    <table class="uk-table uk-table-striped uk-table-hover uk-table-responsive">
      <thead>
        <tr>
          <!-- <th>P.ID</th> -->
          <!-- <th>V.A</th> -->
          <th>User</th>
          <th>Proposal</th>
          <th>Teaser</th>
          <th>Simpanan Pokok</th>
          <th>Simpanan Wajib</th>
          <th>Simpanan Invest</th>
          <th>Simpanan SUKS</th>
          <th>Biaya Admin</th>
          <th>Bill</th>
          <th>Keterangan</th>
          <th>Status</th>
        </tr>
      </thead>
      <tbody>
        @if ($bills)
        @foreach($bills as $bill)
          <tr>
            <td> {{ $bill->id }}</td>
            <td> {{ $bill->user->name }}</td>
            <td> {{ $bill->teaser->title }}</td>
            <td> {{ number_format($bill->invest->simpanan_pokok) }}</td>
            <td> {{ number_format($bill->invest->simpanan_wajib) }}</td>
            <td> {{ number_format($bill->invest->invest) }}</td>
            <td> {{ number_format($bill->invest->SUKS) }}</td> 
            <td> {{ '2.000' }}</td> 
            <td> {{ number_format($bill->BILL) }}</td>
            <td> {{ $bill->DESCRIPTION }}</td>
            <td> {{$bill->STATUS }}</td>
          </tr>
        @endforeach
        @else
          <tr>
            <td colspan="6">
              <div class="uk-card uk-card-default uk-margin">
                <div class="uk-card-body">
                  <span uk-icon="info"></span> &nbsp; Pembayaran tidak ada!
                </div>
              </div>
            </td>
          </tr>
        @endif
      </tbody>
    </table>
  </div>
  {{$bills->links('vendor.pagination.ui-kit')}}

  @endsection
  
  
@section('js')
  <script>
    // $(document).ready(function() {
    //   // refund mode
    //   $(document).on('click', '.refund-action', function(){
    //     var bill_id = $(this).data('bill-id');
    //     var confirmed = confirm('Pastikan pihak PlazaDana sudah mengembalikan sisa dana ini ke rekening investor.');
    //     if(confirmed) {
    //       $.ajax({
    //         url: '',
    //         type: 'POST',
    //         data: {
    //           'refund': true,
    //           'bill-id': bill_id,
    //           'csrfmiddlewaretoken': 'csrf'
    //         },
    //         success: function(response) {
    //           location.reload();
    //         }
    //       });
    //     }
    //   });
    // });
  </script>
@endsection

resources/views/app_management/it_officer_category_create.blade.php
@extends("base_dashboard")

@section('breadcrumb')
  <nav class="uk-navbar-container uk-navbar-transparent" uk-navbar>
    <div class="uk-navbar-left">
      <ul class="uk-breadcrumb uk-breadcrumb-dashboard">
        <li><a class="spf-link" href="/">Beranda</a></li>
        <li><a class="spf-link" href="">Dashboard</a></li>
        <li><span>Kategori Penggalangan Dana</span></li>
      </ul>
    </div>
  </nav>
@endsection

@section('content')
  <form class="form-category" method="post" action="{{url('category')}}">
  <form id="teaser-form" class="uk-form-horizontal" enctype="multipart/form-data" method="post" action="{{url('category')}}">
  @csrf
    <div class="uk-margin uk-overflow-auto-disabled">

    <fieldset class="uk-margin-bottom uk-fieldset">
      <div class="uk-background-muted uk-padding uk-panel" style="border: 1px dashed #ddd">
        <div class="uk-margin">
          <label class="uk-flex uk-flex-left uk-form-label" for="form-name">
            Title <i class="uk-text-danger">*</i>
          </label>
          <div class="uk-form-controls">
            <input type="text" name="title" id="title" placeholder="Judul" class="uk-width-1-1 uk-input" required />
            
          </div>
        </div>
        <div class="uk-margin">
          <label class="uk-flex uk-flex-left uk-form-label" for="form-address">
            Deskripsi <i class="uk-text-danger">*</i>
          </label>
          <div class="uk-form-controls">
            <textarea name="description" id="id_description" placeholder="Deskripsi" class="uk-width-1-1 uk-textarea" required></textarea>
          </div>
        </div>
        <input type="submit" class="uk-button uk-button-warning uk-cookies-button">
      </div>  
    </fieldset>
    </div>
  </form>

@endsection

resources/views/app_management/it_officer_category_edit.blade.php
@extends("base_dashboard")

@section('breadcrumb')
  <nav class="uk-navbar-container uk-navbar-transparent" uk-navbar>
    <div class="uk-navbar-left">
      <ul class="uk-breadcrumb uk-breadcrumb-dashboard">
        <li><a class="spf-link" href="/">Beranda</a></li>
        <li><a class="spf-link" href="">Dashboard</a></li>
        <li><span>Kategori Penggalangan Dana</span></li>
      </ul>
    </div>
  </nav>
@endsection

@section('content')
<form method="post" action="{{ route('category.update', $category->id) }}">
  @csrf
  @method('PATCH')     
  <div class="uk-margin uk-overflow-auto-disabled">
    <fieldset class="uk-margin-bottom uk-fieldset">
      <div class="uk-background-muted uk-padding uk-panel" style="border: 1px dashed #ddd">
        <div class="uk-margin">
          <label class="uk-flex uk-flex-left uk-form-label" for="form-name">
            Title <i class="uk-text-danger">*</i>
          </label>
          <div class="uk-form-controls">
            <input type="text" name="title" id="title" value="{{$category->title}}" placeholder="Judul" class="uk-width-1-1 uk-input" required />
            
          </div>
        </div>
        <div class="uk-margin">
          <label class="uk-flex uk-flex-left uk-form-label" for="form-address">
            Deskripsi <i class="uk-text-danger">*</i>
          </label>
          <div class="uk-form-controls">
            <textarea name="description" placeholder="Deskripsi" class="uk-width-1-1 uk-textarea" required>{{$category->description}}</textarea>
          </div>
        </div>
        <input type="submit" class="uk-button uk-button-warning uk-cookies-button">
      </div>  
    </fieldset>
    </div>
  </form>

@endsection

resources/views/app_management/it_officer_category_list.blade.php
@extends("base_dashboard")

@section('breadcrumb')
  <nav class="uk-navbar-container uk-navbar-transparent" uk-navbar>
    <div class="uk-navbar-left">
      <ul class="uk-breadcrumb uk-breadcrumb-dashboard">
        <li><a class="spf-link" href="/">Beranda</a></li>
        <li><a class="spf-link" href="{{url('dashboard_it_officer')}}">Dashboard</a></li>
        <li><span>Kategori Penggalangan Dana</span></li>
      </ul>
    </div>
    
          <div class="uk-navbar-right">
            <form class="uk-nav-nav" action="." method="get">
              <input name="q" class="uk-input uk-form-width-medium" type="text" placeholder="" required>
              <button type="submit" class="uk-button uk-button-primary">
                <span uk-icon="icon: search"></span>
              </button>
            </form>
          </div>
  </nav>
@endsection

@section('content')
<a href="{{ route('category.create')}}">
    <button class="uk-button uk-button-primary uk-cookies-button">Tambah</button>
  </a>
  <form class="form-category" method="post" action=".">
    
    
    <div class="uk-margin uk-overflow-auto-disabled">
      <table class="uk-table uk-table-small uk-table-striped uk-table-hover uk-table-responsive">
        <thead>
          <tr>
            <th>Judul</th>
            <th>Deskripsi</th>
            <th colspan="2">Tindakan</th>
          </tr>
        </thead>
        <tbody>
          @foreach($categories as $category)
          <tr>
            <td>{{ $category->title }}</td>
            <td><span>{{ $category->description }}</span></td>
            <td>
              <a uk-icon="file-edit" href="{{url('/category/'.$category->id.'/edit')}}">
                {{-- <button class="uk-button uk-button-warning uk-cookies-button" type="submit">Edit</button> --}}
              </a>     
            </td>
            <td>
              <form action="{{ route('category.destroy', $category->id)}}" method="post">
                  @csrf
                  @method('DELETE')
                  <button uk-icon="icon: trash"></button>
                  {{-- <button class="uk-button uk-button-danger uk-cookies-button" type="submit">Delete</button> --}}
                </form>
              </td>
              
            </tr>
            @endforeach
            
            @if(count($categories) == 0)  
            <tr>
              <td colspan="5">
                <div class="uk-card uk-card-default uk-margin">
                  <div class="uk-card-body">
                    <span uk-icon="info"></span> &nbsp; Kategori tidak ada!
                  </div>
                </div>
              </td>
            </tr>
            @endif
          </tbody>
        </table>
        {{$categories->links('vendor.pagination.ui-kit')}}


  </div>


@endsection

resources/views/app_management/it_officer_cooperative_list.blade.php
@extends("base_dashboard")

@section('breadcrumb')
  <nav class="uk-navbar-container uk-navbar-transparent" uk-navbar>
    <div class="uk-navbar-left">
      <ul class="uk-breadcrumb uk-breadcrumb-dashboard">
        <li><a class="spf-link" href="/">Beranda</a></li>
        <li><a class="spf-link" href="{{ url('dashboard_it_officer') }}">Dashboard</a></li>
        <li><span>Koperasi</span></li>
      </ul>
    </div>
    <div class="uk-navbar-right">
      <form class="uk-nav-nav" action="." method="get">
        <input name="q" value="---" class="uk-input uk-form-width-medium" type="text" placeholder="Cari ..." required>
        <button type="submit" class="uk-button uk-button-primary">
          <span uk-icon="icon: search"></span>
        </button>
      </form>
    </div>
  </nav>
@endsection

@section('content')
  <div class="uk-margin uk-overflow-auto-disabled">
    <table class="uk-table uk-table-small uk-table-striped uk-table-hover uk-table-responsive">
      <thead>
        <tr>
          <th>Pengguna</th>
          <th>Nama</th>
          <th>Alamat</th>
          <th>Dibuat</th>
        </tr>
      </thead>
      <tbody>
        @if ($cooperatives)
            
        @foreach ($cooperatives as $cooperative)
        
        <tr>
          <td>{{ $cooperative->user->name }} @if ($cooperative->user->fullName) &bull; {{ $cooperative->user->fullName }}@endif</td>
          <td>{{ $cooperative->name }}</td>
          <td>{{ $cooperative->address }}</td>
          <td>{{ $cooperative->created_at }}</td>
        </tr>
        @endforeach
        @else
            
        <tr>
          <td colspan="4">
            <div class="uk-card uk-card-default uk-margin">
                <div class="uk-card-body">
                  <span uk-icon="info"></span> &nbsp; Koperasi tidak ada!
                </div>
              </div>
            </td>
          </tr>
          @endif
          
        </tbody>
      </table>
      {{$cooperatives->links('vendor.pagination.ui-kit')}}

    </div>

  
@endsection

resources/views/app_management/it_officer_message_edit.blade.php
@extends("base_dashboard")

@section('breadcrumb')
  <ul class="uk-breadcrumb uk-breadcrumb-dashboard">
    <li><a class="spf-link" href="/">Beranda</a></li>
    <li><a class="spf-link" href="{{url('user_dashboard')}}">Dashboard</a></li>
    <li><a class="spf-link" href="{{url('app_plaza:message')}}">Pesan</a></li>
    <li><span></span></li>
  </ul>
@endsection

@section('content')

<form id="teaser-form" class="uk-form-horizontal" enctype="multipart/form-data" method="post" action="{{ route('message.update', $message->id) }}">
@csrf
@method('PATCH')     
<fieldset class="uk-margin-bottom uk-fieldset">
  <h3 class="uk-heading-line"><span>Data Pesan</span></h3>
  <div class="uk-background-muted uk-padding uk-panel" style="border: 1px dashed #ddd">
    <div class="uk-margin">
      <label class="uk-flex uk-flex-right uk-form-label" for="form-title">
        nama <i class="uk-text-danger">*</i>
      </label>
      <div class="uk-form-controls">
        {{$message->name}}
        
      </div>
    </div>
    <div class="uk-margin">
      <label class="uk-flex uk-flex-right uk-form-label" for="id_category">
        Email <i class="uk-text-danger">*</i>
      </label>
      <div class="uk-form-controls">
        {{$message->email}}
      </div>
    </div>
    <div class="uk-margin">
      <label class="uk-flex uk-flex-right uk-form-label" for="form-amount">
        Pesan <i class="uk-text-danger">*</i>
      </label>
      <div class="uk-form-controls">
        {!! $message->pesan !!}
        
      </div>
    </div>
    
    <div class="uk-margin">
      <label class="uk-flex uk-flex-right uk-form-label" for="id_description">
        Deskripsi <i class="uk-text-danger">*</i>
      </label>
      <div class="uk-form-controls">
        
<div class="django-ckeditor-widget" data-field-id="id_description" style="display: inline-block;">
<textarea cols="40" id="editor1" name="description" rows="10" cols="50">
  {{$message->response}}
</textarea>
</div>
<button type="submit" class="uk-button uk-button-primary">
          <span uk-icon="icon: check"></span> Kirimkan Pesan
        </button>
        
      </div>
    </div>
    <div class="uk-margin">
      <div class="uk-form-controls">
        <i>Tanda * wajib diisi.</i>
      </div>
    </div>
  </div>
</fieldset>

</form>


    <!-- end spfjs -->
  </body>

@endsection

resources/views/app_management/it_officer_user_list.blade.php
@extends('base_dashboard')

@section('breadcrumb')
    
<nav class="uk-navbar-container uk-navbar-transparent" uk-navbar>
  <div class="uk-navbar-left">
    <ul class="uk-breadcrumb uk-breadcrumb-dashboard">
        <li><a class="spf-link" href="/">Beranda</a></li>
        <li><a class="spf-link" href="{{url('dashboard_it_officer')}}">Dashboard</a></li>
        <li><span>Pengguna</span></li>
      </ul>
    </div>
    <div class="uk-navbar-right">
      <form class="uk-nav-nav" action="." method="get">
        <input name="q" class="uk-input uk-form-width-medium" type="text" placeholder="" required>
        <button type="submit" class="uk-button uk-button-primary">
          <span uk-icon="icon: search"></span>
        </button>
      </form>
    </div>
  </nav>
@endsection


@section('content')
  <div class="uk-margin uk-overflow-auto-disabled">
    <table class="uk-table uk-table-small uk-table-striped uk-table-hover uk-table-responsive">
      <thead>
        <tr>
          <th>Username</th>
          <th>Nama Lengkap</th>
          <th>Email</th>
          <th>Telepon</th>
          <th>Tanggal Gabung</th>
        </tr>
      </thead>
      <tbody>
        @if ($users)
            
          @foreach ($users as $user)  
          <tr>
              <td>{{ $user->name }}</td>
              <td> {{ $user->fullName }}</td>
              <td> {{ $user->email }}</td>
              <td> {{ $user->hp }} </td>
              <td>{{ $user->created_at }}</span></td>
            </tr>        
          @endforeach    
        @else

          <tr>
            <td colspan="7">
              <div class="uk-card uk-card-default uk-margin">
                <div class="uk-card-body">
                  <span uk-icon="info"></span> &nbsp; Pengguna tidak ada!
                </div>
              </div>
            </td>
          </tr>
        @endif
          
        </tbody>
    </table>
  </div>
  {{$users->links('vendor.pagination.ui-kit')}}

@endsection

resources/views/app_management/rm_dashboard.blade.php
@extends('base_dashboard')

@section('breadcrumb')
  <ul class="uk-breadcrumb uk-breadcrumb-dashboard">
    <li><a class="spf-link" href="/">Beranda</a></li>        
    <li>Dashboard</li>
  </ul>
@endsection

@section('content')

  <div class="chart-main">
    <canvas id="chart-this-year" height="100"></canvas>
  </div>
    
@endsection


@section('js')
    
<script src="{% static 'js/chart.min.js' %}"></script>

<script src="{{asset('js/chart.min.js')}}"></script>

<script>
    window.chartColors = {
      red: 'rgb(255, 99, 132)',
      orange: 'rgb(255, 159, 64)',
      yellow: 'rgb(255, 205, 86)',
      green: 'rgb(75, 192, 192)',
      blue: 'rgb(54, 162, 235)',
      purple: 'rgb(153, 102, 255)',
      grey: 'rgb(201, 203, 207)'
    };
    var timeFormat = 'MM/DD/YYYY HH:mm';
    var color = Chart.helpers.color;
    var toFloat = function(numb) {
      return numb.replace(',', '.');
    }

    // global chart this year
    var globalConfig = {
      type: 'bar',
      data: {
        labels: ['Jan', 'Feb', 'Mar', 'Apr', 'Mei', 'Jun', 'Jul', 'Aug', 'Sep', 'Nov', 'Des'],
        datasets: [{
          type: 'bar',
          label: 'Proposal disetujui',
          backgroundColor: color(window.chartColors.green).alpha(0.5).rgbString(),
          borderColor: window.chartColors.green,
          data: [
            @foreach ($filtered_by_month['teasers'] as $month => $value)
              toFloat('{{ $value }}'),
            @endforeach

          ],
        }, {
          type: 'line',
          label: 'Investasi disetujui',
          backgroundColor: color(window.chartColors.blue).alpha(0.5).rgbString(),
          borderColor: window.chartColors.blue,
          fill: false,
          data: [
            @foreach ($filtered_by_month['invests'] as $month => $value)
              toFloat('{{ $value }}'),
            @endforeach
          ],
        }]
      },
      options: {
        title: {
          display: true,
          text: 'Rekaman bulanan dalamam tahun {{date("Y")}}'
        },
        legend: {
          position: 'right',
        },
      }
    };

    window.onload = function() {
      var ctx1 = document.getElementById('chart-this-year').getContext('2d');
      window.myLine = new Chart(ctx1, globalConfig);
    };
  </script>
@endsection

resources/views/app_management/rm_report_edit.blade.php
@extends('app_plaza/plaza_report_submit')
@section('breadcrumb')
<ul class="uk-breadcrumb">
  <li><a class="spf-link" href="/">Beranda</a></li>
  <li><a class="spf-link" href="/user_dashboard">Dashboard</a></li>
  <li><a class="spf-link" href="/dashboard_report_list">Laporan Keuangan</a></li>
  <li><span>Laporan Keuangan "{{ $teaser->title }}" pada {{ $time }}</span></li>
</ul>
@overwrite